---
updatedAt: 2026-02-10T12:51:54.000Z
---

# List Voice Plans

**This API requires the Account Administrator role.**

Lists all of the Voice Plans configured in the Communication Manager server for an account.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "java",
    "javascript",
    "python",
    "go"
  ],
  "info": {
    "title": "Admin - Voice",
    "description": "The Voice provider APIs are used to manage information about voice specific elements and different voice related entities e.g. Phone numbers.\n\nVoice Services will support multiple ways to provision voice providers\n  1. Programmatic Interface (Rest APIs)\n  2. User Interface\n",
    "contact": {
      "name": "Avaya API Team",
      "url": "https://developers.avayacloud.com/onecloud-ccaas",
      "email": "apiteam@avaya.com"
    },
    "license": {
      "name": "Avaya Software Development Kit (SDK) Software License Terms",
      "url": "http://support.avaya.com/css/P8/documents/101038288"
    },
    "version": "1.0.2"
  },
  "security": [
    {},
    {
      "BearerAuth": [],
      "AppKey": []
    }
  ],
  "servers": [
    {
      "url": "{protocol}://{server}{basePath}",
      "description": "Open API",
      "variables": {
        "protocol": {
          "enum": [
            "https"
          ],
          "default": "https"
        },
        "server": {
          "default": "HOST-REGION.api.avayacloud.com"
        },
        "basePath": {
          "default": "/api/admin/voice/v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Voice Plan",
      "description": "Represents Voice Plan of configured Communication Managers for Account Administrator. These API are expected to be called by an account administrator.\n"
    }
  ],
  "paths": {
    "/accounts/{accountId}/communication-managers/{communicationManagerId}/voice-plans": {
      "get": {
        "tags": [
          "Voice Plan"
        ],
        "summary": "List Voice Plans",
        "description": "**This API requires the Account Administrator role.**\n\nLists all of the Voice Plans configured in the Communication Manager server for an account.\n",
        "operationId": "getVoicePlans",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          },
          {
            "$ref": "#/components/parameters/communicationManagerId"
          },
          {
            "$ref": "#/components/parameters/pageNumber"
          },
          {
            "name": "pageSize",
            "in": "query",
            "description": "The max number of records to retrieve per page. Default value is 10.\n",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "example": 5,
              "default": 10,
              "minimum": 5,
              "maximum": 50
            }
          },
          {
            "name": "filter",
            "in": "query",
            "required": false,
            "description": "Specifies details of a row filter.\n\nThe possible fields that can be filtered on are:\n* name\n* type\n* status\n* userProfileId\n\nThe allowed format:\n  - Begins with the column name to be filtered, followed by a colon, then:\n    - Either an exact string to match, or\n    - A string expression including the * wildcard character\n      - :{PREFIX}* will be used to find out word start with.\n      - :*{POSTFIX} will be used to find out word end with\n      - : will be used to match exact word\n  - Begin with column name to be filtered, followed by a = operator. (this will be used to match exact string)\n",
            "schema": {
              "type": "string",
              "maxLength": 255
            },
            "examples": {
              "exact": {
                "description": "Example of filtering based on an exact string.",
                "value": "name=Voice Plan"
              },
              "prefix": {
                "description": "Example of filtering based on a prefix string.",
                "value": "name:Voice*"
              },
              "postfix": {
                "description": "Example of filtering based on a postfix string.",
                "value": "name:*Plan"
              }
            }
          },
          {
            "name": "orderBy",
            "in": "query",
            "required": false,
            "description": "Field name on which ordering needs to be performed. The default order is ascending.\n\nThe possible fields that can be ordered on are:\n* name\n\nField Names are case-senstive (should be written as it is in description).\nTo specify descending order, a suffix \" desc\" should be added. For example, \"name\" for ascending or \"name desc\" for descending.\n",
            "schema": {
              "type": "string",
              "default": "name",
              "maxLength": 255
            },
            "examples": {
              "ascending": {
                "value": "name"
              },
              "descending": {
                "value": "name desc"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VoicePlanPage"
                },
                "examples": {
                  "default": {
                    "$ref": "#/components/examples/VoicePlanPage"
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This API uses Bearer Token Authorization Flow",
        "bearerFormat": "JWT"
      },
      "AppKey": {
        "type": "apiKey",
        "in": "header",
        "name": "appkey",
        "description": "This API needs an appKey as header"
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorUnauthorized"
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorForbidden"
              }
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorNotFound"
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "All other application errors",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorInternalServerError"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "VoicePlanPage": {
        "title": "VoicePlanPage",
        "type": "object",
        "description": "Voice Plan filtered response",
        "properties": {
          "pagination": {
            "$ref": "#/components/schemas/Pagination"
          },
          "resources": {
            "type": "array",
            "maxItems": 50,
            "items": {
              "$ref": "#/components/schemas/VoicePlan"
            }
          },
          "links": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Links"
              }
            ],
            "example": {
              "prev": "/api/admin/voice/v1/accounts/{accountId}/communication-managers/{communicationManagerId}/voice-plans?pageNumber=1&pageSize=10",
              "next": "/api/admin/voice/v1/accounts/{accountId}/communication-managers/{communicationManagerId}/voice-plans?pageNumber=3&pageSize=10"
            }
          }
        }
      },
      "VoicePlan": {
        "type": "object",
        "description": "Represents ranges of entities for configured Communication Manager.",
        "properties": {
          "voicePlanId": {
            "type": "string",
            "format": "uuid",
            "readOnly": true,
            "description": "unique identifier for Voice Plan",
            "example": "dfeb5425-b96a-4fb7-a0bd-aa4b8248b814"
          },
          "name": {
            "type": "string",
            "description": "Name of the voice plan",
            "example": "VoicePlan1",
            "pattern": "^(?!\\s*$).+",
            "minLength": 3,
            "maxLength": 255
          },
          "type": {
            "type": "string",
            "description": "The type of the Voice Plan. If SYSTEM type is set then allowed to set values for vdnDialPlanRange, reasonCodeNotReadyRange, reasonCodeLogOutRange. If USER type is set then allowed to set values for agentDialPlanRange, extensionDialPlanRange.",
            "enum": [
              "SYSTEM",
              "USER"
            ],
            "example": "SYSTEM"
          },
          "userProfileId": {
            "type": "string",
            "description": "Profile for the voice plan",
            "example": "ASEDFG",
            "minLength": 0,
            "maxLength": 6,
            "pattern": "^$|^[a-zA-Z0-9\\-\\_\\.\\ ]+$"
          },
          "description": {
            "type": "string",
            "description": "Description of the voice plan",
            "example": "Voice plan for Comunication Manager",
            "maxLength": 255,
            "pattern": "(^$|^[a-zA-Z0-9\\p{L}\\(\\)\\-\\_\\.\\ \\n]+$)"
          },
          "agentDialPlanRange": {
            "type": "array",
            "maxItems": 50,
            "items": {
              "type": "string",
              "maxLength": 50
            },
            "example": [
              "20000:20100"
            ],
            "description": "Agent dial plan ranges. Allowed to be set only if voice plan type is USER."
          },
          "extensionDialPlanRange": {
            "type": "array",
            "maxItems": 50,
            "items": {
              "type": "string",
              "maxLength": 50
            },
            "example": [
              "30000:30100",
              "8000000:9000000"
            ],
            "description": "Extension dial plan ranges. Allowed to be set only if voice plan type is USER."
          },
          "reasonCodeNotReadyRange": {
            "type": "array",
            "maxItems": 50,
            "items": {
              "type": "string",
              "maxLength": 5
            },
            "example": [
              "1:9"
            ],
            "description": "Aux reason code ranges. Allowed to be set only if voice plan type is SYSTEM."
          },
          "reasonCodeLogOutRange": {
            "type": "array",
            "maxItems": 50,
            "items": {
              "type": "string",
              "maxLength": 3
            },
            "example": [
              "1:9"
            ],
            "description": "Logout reason code ranges. Allowed to be set only if voice plan type is SYSTEM."
          },
          "status": {
            "type": "string",
            "description": "Status code of the voice plan. A voice plan with status code PROFILE_NOT_ASSIGNED indicates that it is in error state and Profile associated with it is been deleted.",
            "enum": [
              "PROFILE_NOT_ASSIGNED",
              "SUCCESS"
            ]
          }
        },
        "required": [
          "name",
          "type"
        ]
      },
      "Problem": {
        "type": "object",
        "description": "<b>Problem Detail</b> as a way to carry machine-readable details of errors in a HTTP response to avoid the need to define new error response formats for HTTP APIs <a href=\"https://tools.ietf.org/html/rfc7807\">RFC 7807</a>\n",
        "properties": {
          "type": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML).\n",
            "default": "about:blank",
            "example": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation"
          },
          "title": {
            "type": "string",
            "description": "A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized).\n",
            "example": "Service Unavailable",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.\n",
            "minimum": 100,
            "maximum": 600,
            "exclusiveMaximum": true,
            "example": 503,
            "nullable": true
          },
          "detail": {
            "type": "string",
            "description": "A human readable explanation specific to this occurrence of the problem.\n",
            "example": "Connection to database timed out",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.\n",
            "nullable": true
          },
          "violations": {
            "type": "array",
            "description": "A list of violations that occurred as a result of invalid data provided as part of a request.\n",
            "nullable": true,
            "items": {
              "type": "object",
              "properties": {
                "field": {
                  "type": "string",
                  "description": "The name of the field in the request that caused the violation. This can be the name of a path parameter, query parameter, or a field within the request body.\n",
                  "example": "accountId"
                },
                "message": {
                  "type": "string",
                  "description": "A human readable explanation specific to this occurrence of the violation.\n",
                  "example": "must match \"^[a-zA-Z]{6}$\""
                },
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "The violation code generated by the server for this occurrence of the violation. Use this code when implementing any error handling logic instead of the message, as the message can change.\n",
                  "example": 20006
                }
              }
            },
            "example": [
              {
                "field": "emailAddress",
                "message": "must not be null",
                "code": 20002
              },
              {
                "field": "accountId",
                "message": "must match \"^[a-zA-Z]{6}$\"",
                "code": 20006
              }
            ]
          }
        }
      },
      "Pagination": {
        "type": "object",
        "properties": {
          "pageNumber": {
            "type": "integer",
            "description": "The current page number."
          },
          "pageSize": {
            "type": "integer",
            "description": "The max number of records that can be retrieved on this page."
          },
          "total": {
            "type": "integer",
            "description": "The total number of records."
          }
        }
      },
      "Links": {
        "type": "object",
        "properties": {
          "prev": {
            "type": "string",
            "description": "URL of the previous page. Blank if currently on the first page."
          },
          "next": {
            "type": "string",
            "description": "URL of the next page. Blank if currently on the last page."
          }
        }
      }
    },
    "parameters": {
      "accountId": {
        "name": "accountId",
        "description": "The unique 6 character internal id that represents the customer account.",
        "required": true,
        "in": "path",
        "schema": {
          "type": "string",
          "minLength": 6,
          "maxLength": 6,
          "pattern": "^[a-zA-Z]{6}$",
          "example": "ABCDEF"
        }
      },
      "communicationManagerId": {
        "name": "communicationManagerId",
        "description": "The unique id of the Communication Manager",
        "in": "path",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid",
          "example": "2ec20580-d204-43f3-ae0b-34795439137f"
        }
      },
      "pageNumber": {
        "name": "pageNumber",
        "in": "query",
        "description": "The page number of the records to retrieve. Default value is 1.",
        "required": false,
        "schema": {
          "type": "integer",
          "format": "int32",
          "example": 1,
          "default": 1,
          "minimum": 1
        }
      }
    },
    "examples": {
      "VoicePlanPage": {
        "description": "List of all Voice Plans",
        "value": {
          "pagination": {
            "pageNumber": 1,
            "pageSize": 10,
            "total": 2
          },
          "resources": [
            {
              "voicePlanId": "46a99207-a5ac-4968-b488-9c078193eba1",
              "name": "User Voice Plan for Production",
              "type": "USER",
              "userProfileId": "ASEDFG",
              "description": "User Voice plan for production Communication Manager",
              "agentDialPlanRange": [
                "20000:20100"
              ],
              "extensionDialPlanRange": [
                "30000:30100",
                "8000000:9000000"
              ]
            },
            {
              "voicePlanId": "a5ed735d-0688-47c5-872d-366a84b23536",
              "name": "System Range for Production",
              "type": "SYSTEM",
              "userProfileId": "ASEDFG",
              "description": "System Range for production Communication Manager",
              "reasonCodeNotReadyRange": [
                "1:20",
                "50:99"
              ],
              "reasonCodeLogOutRange": [
                "1:9"
              ]
            }
          ],
          "links": {
            "next": "/api/admin/voice/v1/accounts/GHFDWE/communication-managers/18e4f754-5e42-4387-ae13-e9b4fe4aed29/voice-plans?pageNumber=3&pageSize=10",
            "previous": "/api/admin/voice/v1/accounts/GHFDWE/communication-managers/18e4f754-5e42-4387-ae13-e9b4fe4aed29/voice-plans?pageNumber=1&pageSize=10"
          }
        }
      },
      "ErrorUnauthorized": {
        "description": "Unauthorized",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#unauthorized",
          "title": "Unauthorized",
          "status": 401,
          "detail": "This operation requires authentication. See https://developers.avayacloud.com/onecloud-ccaas/docs/how-to-authenticate-with-ccaas-apis"
        }
      },
      "ErrorForbidden": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#forbidden",
          "title": "Forbidden",
          "status": 403,
          "detail": "According to the access control policy the current user does not have permission to access this resource."
        }
      },
      "ErrorNotFound": {
        "description": "Not Found",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#resource-not-found",
          "title": "Resource Not Found",
          "status": 404,
          "detail": "Either there is no API method associated with the URL path of the request, or the request refers to one or more resources that were not found."
        }
      },
      "ErrorInternalServerError": {
        "description": "Server Error",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#server-error",
          "title": "Server Error",
          "status": 500,
          "detail": "An internal server error was encountered."
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```